<div class="wizard-slide agent-config-slide">
    <div class="agent-config-slide__header">
        <div class="agent-config-slide__header-left">In order to capture test execution results Zebrunner uses a concept called reporting agent. You could think of the agent as someone riding in a motorcycle sidecar reporting everything they see during the ride.  The same as a real world side car it can easily be attached and detached when needed without affecting your motorcycle (test project).</div>
        <div class="agent-config-slide__header-right">
            <div class="agent-config-slide__header-info-left">
                <div class="agent-config-slide__header-info-left-text">Reporting agent</div>
                <img class="agent-config-slide__header-info-left-arrow" src="../../../../../assets/images/wizard/arrow-small.svg" alt="arrow">
            </div>
            <div class="agent-config-slide__header-image-container">
                <img class="agent-config-slide__header-image" src="../../../../../assets/images/wizard/Bike.png" alt="bike image">
            </div>
            <div class="agent-config-slide__header-info-right">
                <div class="agent-config-slide__header-info-right-text">Your test run</div>
                <img class="agent-config-slide__header-info-right-arrow" src="../../../../../assets/images/wizard/arrow-small.svg" alt="arrow">
            </div>
        </div>
    </div>
    <div class="agent-config-slide__content">
        <div class="wizard-slide__spinner-wrapper"
            ng-if="$ctrl.configDataLoading">
            <md-progress-circular class="wizard-slide__spinner"
                md-mode="indeterminate"
                md-diameter="20px"></md-progress-circular>
        </div>
        <md-tabs class="agent-config-slide__tabs"
            md-dynamic-height
            ng-if="!$ctrl.configDataLoading">
            <md-tab class="agent-config-slide__tab"
                ng-repeat="tab in $ctrl.tabs track by tab.id"
                md-on-select="$ctrl.onTabSelect(tab)"
                md-active="tab.active"
                ng-disabled="tab.disabled">
                <md-tab-label>{{tab.name}}</md-tab-label>
                <md-tab-body>
                    <wizard-testng-configuration base-options="$ctrl.configsData"
                        configs-data-loading="$ctrl.configsDataLoading"
                        swiper-instance="$ctrl.swiperInstance"></wizard-testng-configuration>
                </md-tab-body>
            </md-tab>
        </md-tabs>
    </div>
</div>
